Update website settings
curl --request PUT \
--url https://api.lindo.ai/v1/workspace/website/{website_id}/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"business_name": "My Business",
"business_description": "A great business providing excellent services",
"language": "en",
"theme": {
"primaryColor": "#007bff"
},
"robots": "User-agent: *\nAllow: /",
"custom_code_header": "<script>console.log('header');</script>",
"custom_code_footer": "<script>console.log('footer');</script>",
"socials": {
"twitter": "https://twitter.com/mybusiness"
},
"fonts": {
"heading": "Roboto",
"body": "Open Sans"
}
}
EOFimport requests
url = "https://api.lindo.ai/v1/workspace/website/{website_id}/settings"
payload = {
"business_name": "My Business",
"business_description": "A great business providing excellent services",
"language": "en",
"theme": { "primaryColor": "#007bff" },
"robots": "User-agent: *
Allow: /",
"custom_code_header": "<script>console.log('header');</script>",
"custom_code_footer": "<script>console.log('footer');</script>",
"socials": { "twitter": "https://twitter.com/mybusiness" },
"fonts": {
"heading": "Roboto",
"body": "Open Sans"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
business_name: 'My Business',
business_description: 'A great business providing excellent services',
language: 'en',
theme: {primaryColor: '#007bff'},
robots: 'User-agent: *\nAllow: /',
custom_code_header: '<script>console.log(\'header\');</script>',
custom_code_footer: '<script>console.log(\'footer\');</script>',
socials: {twitter: 'https://twitter.com/mybusiness'},
fonts: {heading: 'Roboto', body: JSON.stringify('Open Sans')}
})
};
fetch('https://api.lindo.ai/v1/workspace/website/{website_id}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"result": {
"message": "Website settings updated successfully",
"website_id": "website_abc123",
"business_name": "My Business",
"business_description": "A great business providing excellent services",
"language": "en",
"theme": {
"primaryColor": "#007bff"
},
"robots": "User-agent: *\nAllow: /",
"custom_code_header": "<script>console.log('header');</script>",
"custom_code_footer": "<script>console.log('footer');</script>",
"socials": {
"twitter": "https://twitter.com/mybusiness"
},
"fonts": {
"heading": "Roboto",
"body": "Open Sans"
}
}
}{
"success": false,
"errors": [
"Client already exists"
],
"message": "Validation failed"
}{
"success": false,
"errors": [
"Client already exists"
],
"message": "Validation failed"
}{
"success": false,
"errors": [
"Client already exists"
],
"message": "Validation failed"
}{
"success": false,
"errors": [
"Client already exists"
],
"message": "Validation failed"
}Website Management
Update website settings
Updates website settings including business name, description, language, theme, and custom code.
PUT
/
v1
/
workspace
/
website
/
{website_id}
/
settings
Update website settings
Authorizations
Enter your API key (starts with lindo_sk_)
Path Parameters
Unique identifier of the website
Example:
"website_abc123"
Body
application/json
Business name for the website
Example:
"My Business"
Business description
Example:
"A great business providing excellent services"
Language of the website
Example:
"en"
Theme configuration for the website
Show child attributes
Show child attributes
Example:
{ "primaryColor": "#007bff" }
Robots.txt content for the website
Example:
"User-agent: *\nAllow: /"
Custom code to inject in the header
Example:
"<script>console.log('header');</script>"
Custom code to inject in the footer
Example:
"<script>console.log('footer');</script>"
Social media links for the website
Show child attributes
Show child attributes
Example:
{
"twitter": "https://twitter.com/mybusiness"
}
Font configuration for the website
Show child attributes
Show child attributes
Example:
{ "heading": "Roboto", "body": "Open Sans" }
Was this page helpful?
⌘I

